/*
ConfiguringState.java
Copyright (C) 2010  Belledonne Communications, Grenoble, France

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.linphone.core;


/**
* LinphoneGlobalState describes the global state of the {@link Core} object. 
*
* It is notified via the LinphoneCoreVTable::global_state_changed 
*/
public enum ConfiguringState {
    /**
    *
    */
    Successful(0),

    /**
    *
    */
    Failed(1),

    /**
    *
    */
    Skipped(2);

    protected final int mValue;

    private ConfiguringState (int value) {
        mValue = value;
    }

    static public ConfiguringState fromInt(int value) throws RuntimeException {
        switch(value) {
        case 0: return Successful;
        case 1: return Failed;
        case 2: return Skipped;
        default:
            throw new RuntimeException("Unhandled enum value " + value + " for ConfiguringState");
        }
    }

    public int toInt() {
        return mValue;
    }
}
