/*
FriendCapability.java
Copyright (C) 2010  Belledonne Communications, Grenoble, France

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.linphone.core;


/**
* Enum describing the status of a LinphoneFriendList operation. 
*
*/
public enum FriendCapability {
    /**
    *
    */
    None(0),

    /**
    *
    */
    GroupChat(1<<0),

    /**
    *
    */
    LimeX3Dh(1<<1),

    /**
    *
    */
    EphemeralMessages(1<<2);

    protected final int mValue;

    private FriendCapability (int value) {
        mValue = value;
    }

    static public FriendCapability fromInt(int value) throws RuntimeException {
        switch(value) {
        case 0: return None;
        case 1<<0: return GroupChat;
        case 1<<1: return LimeX3Dh;
        case 1<<2: return EphemeralMessages;
        default:
            throw new RuntimeException("Unhandled enum value " + value + " for FriendCapability");
        }
    }

    public int toInt() {
        return mValue;
    }
}
